# Stackdriver Error Reporting API . projects

## Instance Methods

Returns the events Resource.

Returns the groupStats Resource.

Returns the groups Resource.

Deletes all error events of a given project.

### Method Details

`deleteEvents(projectName=None, x__xgafv=None)`

    Deletes all error events of a given project.

    Args:
      projectName: string, [Required] The resource name of the Google Cloud Platform project. Written
    as `projects/` plus the
    [Google Cloud Platform project
    ID](https://support.google.com/cloud/answer/6158840).
    Example: `projects/my-project-123`. (required)
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format

    Returns:
      An object of the form:

        { # Response message for deleting error events.
      }